<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>json-c: Deprecated List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">json-c
   &#160;<span id="projectnumber">0.14</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.2 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Deprecated List </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><dl class="reflist">
<dt><a class="anchor" id="_deprecated000007"></a>Global <a class="el" href="linkhash_8h.html#a77c5cddef96e6f1ab036ccf911783456">_LH_INLINE</a>  </dt>
<dd>Don't use this outside of <a class="el" href="linkhash_8h.html" title="Internal methods for working with json_type_object objects. Although this is exposed by the json_obje...">linkhash.h</a>:  </dd>
<dt><a class="anchor" id="_deprecated000008"></a>Global <a class="el" href="linkhash_8h.html#afb856ed4a9bcfd090dde5151fa3ad9ae">_LH_UNCONST</a>  (a)</dt>
<dd>Don't use this outside of <a class="el" href="linkhash_8h.html" title="Internal methods for working with json_type_object objects. Although this is exposed by the json_obje...">linkhash.h</a>:  </dd>
<dt><a class="anchor" id="_deprecated000003"></a>Global <a class="el" href="json__tokener_8h.html#a4dd5e5b65aee7f376f529f86b210ff49">json_tokener</a>  </dt>
<dd>Unused in json-c code  </dd>
<dt><a class="anchor" id="_deprecated000005"></a>Global <a class="el" href="structjson__tokener.html#a9daae2516fd6df23555d33ef01020a76">json_tokener::char_offset</a>  </dt>
<dd>See <a class="el" href="json__tokener_8h.html#a4a2fa28d815f8b370cbb00b80ebc0f1d">json_tokener_get_parse_end()</a> instead.  </dd>
<dt><a class="anchor" id="_deprecated000006"></a>Global <a class="el" href="structjson__tokener.html#adef37cdc2578d8f8920db14315728cbd">json_tokener::err</a>  </dt>
<dd>See <a class="el" href="json__tokener_8h.html#af5d7ffd95a0f6e5d5bb5994d233b4197">json_tokener_get_error()</a> instead.  </dd>
<dt><a class="anchor" id="_deprecated000004"></a>Global <a class="el" href="structjson__tokener.html#a9772e2170322a19d8da6ce5d7dc46895">json_tokener::str</a>  </dt>
<dd>Do not access any of these fields outside of json_tokener.c  </dd>
<dt><a class="anchor" id="_deprecated000002"></a>Class <a class="el" href="structjson__tokener__srec.html">json_tokener_srec</a>  </dt>
<dd>Don't use this outside of json_tokener.c, it will be made private in a future release.  </dd>
<dt><a class="anchor" id="_deprecated000001"></a>Global <a class="el" href="json__tokener_8h.html#af026dec71e4548e6200eb2f902f1c4e2">json_tokener_state</a>  </dt>
<dd>Don't use this outside of json_tokener.c, it will be made private in a future release. </dd>
</dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 19 2020 03:40:44 for json-c by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.2
</small></address>
</body>
</html>
